// ==================		ErrorCheck.h			==============
//
// Copyright (C) 2002 pmG Worldwide LLC. All Rights Reserved.
//
// ===============================================================
//
// Description: 
//
// Simple macros to help error checking and reporting.
//
// ===============================================================
//
// Version History:
//
// Written By: Ron Griswold
// Date: 4/18/2002
//
// Revised By:
// Date: 
//
// ===============================================================
#ifndef MM_ERRORCHECK
#define MM_ERRORCHECK

#include <iostream.h>

#include <maya/MStatus.h>

#define MM_CheckError(stat,msg)		\
	if ( MS::kSuccess != stat ) {	\
		cerr << msg;				\
		return MS::kFailure;		\
	}


#endif	// MM_ERRORCHECK