#include "c4d_basematerial.h"
#include "c4d_basecontainer.h"

void BaseMaterial::Update(LONG preview, Bool rttm)
{
	C4DOS.Mt->Update(this,preview,rttm);
}

Bool BaseMaterial::CopyTo(BaseMaterial *dest, LONG flags)
{
	return C4DOS.Mt->CopyTo(this,dest,flags);
}

BaseMaterial *BaseMaterial::GetClone(LONG flags)
{
	return C4DOS.Mt->GetClone(this,flags);
}

Bool BaseMaterial::Edit(void)
{
	return C4DOS.Mt->Edit(this);
}

void BaseMaterial::SetData(const BaseContainer &bc)
{
	if (!bc.Get()) return;
	C4DOS.Mt->SetData(this,bc.Get());
}

BaseContainer BaseMaterial::GetData(void)
{
	BaseContainer bc;
	if (!bc.Get()) return BaseContainer();
	C4DOS.Mt->GetData(this,bc.Get());
	return bc;
}

Bool BaseMaterial::Compare(BaseMaterial *snd)
{
	return C4DOS.Mt->Compare(this,snd);
}

BaseMaterial *AllocMaterial(LONG type, LONG shader_id)
{
	return C4DOS.Mt->Alloc(type,shader_id);
}

LONG PluginMaterial::GetPluginID(void)
{
	return C4DOS.Mt->GetPluginID(this);
}

PLUGIN_DATA	*PluginMaterial::GetPluginData(void)
{
	return C4DOS.Mt->GetPluginData(this);
}

VOLUMESHADER *PluginMaterial::GetShader(void)
{
	return C4DOS.Mt->GetShader(this);
}
